﻿using UnityEngine;
using System.Collections;

public class LevelSelectScript : MonoBehaviour {
	
	IEnumerator FirstOrderAfterSound () {
		
		audio.Play ();
		yield return new WaitForSeconds (audio.clip.length);
		Application.LoadLevel ("Level1pan");
		
	}
	
	IEnumerator GGJAfterSound () {
		
		audio.Play ();
		yield return new WaitForSeconds (audio.clip.length);
		Application.LoadLevel ("Level2pan");
		
	}
	
	IEnumerator BrianAfterSound () {
		
		audio.Play ();
		yield return new WaitForSeconds (audio.clip.length);
		Application.LoadLevel ("Level3pan");
		
	}
	
	IEnumerator MainMenuAfterSound () {
		
		audio.Play ();
		yield return new WaitForSeconds (audio.clip.length);
		Application.LoadLevel ("MainMenu");
		
	}
	
	//starts the corresponding coroutine when the button to which it is assigned is clicked
	public void LoadFirstOrder () {
		
		StartCoroutine (FirstOrderAfterSound ());
		
	}
	
	//starts the corresponding coroutine when the button to which it is assigned is clicked
	public void LoadGGJ () {
		
		StartCoroutine (GGJAfterSound ());
		
	}
	
	//starts the corresponding coroutine when the button to which it is assigned is clicked
	public void LoadBrian () {
		
		StartCoroutine (BrianAfterSound ());

	}
	
	//starts the corresponding coroutine when the button to which it is assigned is clicked
	public void MainMenu () {
		
		StartCoroutine (MainMenuAfterSound ());
		
	}
}