﻿using UnityEngine;
using UnityEngine.UI;
using System.Collections;

public class TitleScript : MonoBehaviour {

	public Button proceedB;
	public Text proceedT;

	IEnumerator Begin () {

		yield return new WaitForSeconds (3);
		proceedB.interactable = true;
		proceedT.enabled = true;

	}

	IEnumerator MainMenuAfterSound () {

		audio.Play ();
		yield return new WaitForSeconds (audio.clip.length);
		Application.LoadLevel ("MainMenu");

	}

	public void Game () {

		StartCoroutine (MainMenuAfterSound ());

	}

	// Use this for initialization
	void Start () {

		proceedB.interactable = false;
		proceedT.enabled = false;
		StartCoroutine (Begin ());
	
	}
	
	// Update is called once per frame
	void Update () {
	
	}

}
