﻿using UnityEngine;
using System.Collections;

public class VolumeControlScript : MonoBehaviour {
	
	// Use this for initialization
	void Start () {
		
	}
	
	// Update is called once per frame
	void Update () {
		
		//determines if persistent data exists, and the master volume is assigned from it to the audio listener in the scene
		GameObject gameData = GameObject.Find ("GameData");
		
		if (gameData != null) {
			
			GameDataScript gameDataScript = gameData.GetComponent <GameDataScript> ();
			AudioListener.volume = gameDataScript.masterVolume;
			
		}
		
	}
	
}