#pragma strict

@script ExecuteInEditMode();

public var jumping : boolean;
private var anim : Animation;
private var anims : String[] = ["loop_idle", "loop_run_funny", "loop_walk_funny", "jump"];
var usable : boolean;

function Start () {
	anim = GetComponent (Animation);
	anim["loop_run_funny"].speed = 2.0;
}

function Update () {
	if (usable == true) {
		if (jumping == false) {
			if (Input.GetKey(KeyCode.UpArrow) || Input.GetKey(KeyCode.DownArrow)) {
				anim.Play("loop_run_funny",PlayMode.StopAll);
			} else if (Input.GetKey(KeyCode.A) || Input.GetKey(KeyCode.D)) {
				anim.Play("loop_walk_funny",PlayMode.StopAll);
			} else if (Input.GetKey(KeyCode.Space)) {
				jumping = true;
				JumpUp();
			} else {
				anim.Play("loop_idle",PlayMode.StopAll);
			}
		}
	}
}

function JumpUp () {
	anim.CrossFade ("jump");
	while (anim.IsPlaying) {
		yield;
		yield WaitForSeconds (1);
		anim.CrossFade ("loop_idle");
		break;
	}
	jumping = false;
}

function EnableC (flag : boolean) {
	usable = flag;
}