﻿using UnityEngine;
using System.Collections;

public class PanCameraDownScript : MonoBehaviour {
	
	public bool panning;
	public float newY;
	public string nextLevel;
	
	IEnumerator NowEnd () {
		
		yield return new WaitForSeconds (1);
		Application.LoadLevel (nextLevel);
		
	}
	
	// Use this for initialization
	void Start () {

		panning = true;
		
	}
	
	// Update is called once per frame
	void Update () {
		
		if (panning == true) {
			Vector3 newPos = transform.localPosition;
			newPos.y = Mathf.Lerp (transform.localPosition.y, newY - 4, Time.deltaTime * 0.25f);
			transform.localPosition = newPos;
		} else {
			StartCoroutine (NowEnd ());
		}

		
		if (transform.localPosition.y <= newY || Input.GetKey (KeyCode.Space)) {
			panning = false;
		}
		
	}
	
}
